<?php

namespace App\Http\Requests\User;

use Illuminate\Foundation\Http\FormRequest;

class UserStore extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "id" => 'sometimes|numeric',
            "first_name" => 'required|max:255',
            "last_name" => 'required|max:255',
            'email' => 'required|email',
            'password' => 'sometimes|confirmed|min:8',
            'roles' => '',
            'image' => 'sometimes|mimes:jpeg,jpg,png|max:2048',
        ];
    }
}
